from Products.Archetypes.public import process_types, listTypes
from Products.CMFCore import utils as CMFUtils
from Products.CMFCore.DirectoryView import registerDirectory, registerFileExtension

from config import SKINS_DIR, GLOBALS, PROJECTNAME
from config import ADD_CONTENT_PERMISSION

registerDirectory(SKINS_DIR, GLOBALS)

def initialize(context):
    ##Import Types here to register them
    import ATAudio, ATAudioFolder, Recordings

    content_types, constructors, ftis = process_types(
        listTypes(PROJECTNAME),
        PROJECTNAME)
        

    CMFUtils.ContentInit(
        PROJECTNAME + ' Content',
        content_types      = content_types,
        permission         = ADD_CONTENT_PERMISSION,
        extra_constructors = constructors,
        fti                = ftis,
        ).initialize(context)

